##################################################################
##
## Starfield Generator Makefile
##
## $Id: Makefile.osf,v 1.1 2003-01-14 13:48:38 blanch Exp $
##   
##################################################################

# @T \newpage

INCLUDE = ../include-GENERAL
INCLUDE_COR   = ../include-CORSIKA

CXX      = cxx

INCLUDES = -I${INCLUDE} \
	   -I${INCLUDE_COR} \
	   -I/usr/include/cxx

WARNINGS = -Wall

CXXFLAGS =  ${WARNINGS} ${INCLUDES}

LIBS     = -L${ROOTSYS}/lib -L/usr/local/lib -L/usr/lib  -lm 


#------------------------------------------------------------------------------

.SILENT:

.SUFFIXES: .cxx .o 

SRCS =	starfield.cxx\
	star.cxx\
	photon.cxx\
	convertcorsika.cxx\
	rand_un_gen.cxx\
	parameters.cxx\
	${INCLUDE_COR}/COREventHeader.cxx\
	${INCLUDE_COR}/CORParticle.cxx\
	${INCLUDE_COR}/CORStatfile.cxx

HEADERS = starfield.h\
	star.hxx\
	photon.hxx\
	convertcorsika.h\
	parameters.h\
	COREventHeader.hxx\
	CORParticle.hxx\
	CORStatfile.hxx\
	DllImport.h\
	RConfig.h\
	Rtypes.h\
	ranlib.h

OBJS = starfield.o\
	star.o\
	photon.o\
	convertcorsika.o\
	rand_un_gen.o\
	parameters.o\
	${INCLUDE_COR}/COREventHeader.o\
	${INCLUDE_COR}/CORParticle.o\
	${INCLUDE_COR}/CORStatfile.o

###########################################################

all: starfield

#If you type 'make depend' this will update the dependencies listed below

depend:
	@makedepend $(SRCS) -fMakefile 2> /dev/null

starfield: $(OBJS)
	@echo "Linking..." $(OBJS) 
	$(CXX) $(CXXFLAGS) $(OBJS) $(LIBS) -o $@
	@echo "done."

.cxx.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

lclean:
	@echo "Cleaning..." 
	@rm -f *.o core 

clean:
	@echo "Cleaning..."
	@rm -f $(OBJS) core 

mrproper: clean
	@echo "Mr.Proper in action . . ."
	@rm -f $(PROGRAM)

ctags:
	@echo "Creating CTAGS file . . ."
	@ctags -txw $(SRCS) $(HEADERS) > CTAGS

etags:
	@echo "Creating TAGS file . . ."
	@/usr/local/bin/etags -C $(SRCS) $(HEADERS)

listsrc:
	@ls -m $(SRCS) $(HEADERS) | sed 's/,//g'

redo: clean all

# @endcode

# DO NOT DELETE THIS LINE -- make depend depends on it.

starfield.o: starfield.h /usr/include/stdlib.h /usr/include/standards.h
starfield.o: /usr/include/getopt.h /usr/include/sys/types.h
starfield.o: /usr/include/mach/machine/vm_types.h /usr/include/sys/select.h
starfield.o: /usr/include/stdio.h /usr/include/sys/seek.h
starfield.o: /usr/include/va_list.h /usr/include/sys/limits.h
starfield.o: /usr/include/sys/machine/machlimits.h
starfield.o: /usr/include/sys/syslimits.h /usr/include/sys/machine/machtime.h
starfield.o: /usr/include/sys/rt_limits.h /usr/include/string.h
starfield.o: /usr/include/strings.h /usr/include/math.h /usr/include/dirent.h
starfield.o: /usr/include/unistd.h /usr/include/sys/access.h convertcorsika.h
starfield.o: photon.hxx star.hxx parameters.h
star.o: star.hxx /usr/include/math.h /usr/include/standards.h
star.o: /usr/include/stdlib.h /usr/include/getopt.h /usr/include/sys/types.h
star.o: /usr/include/mach/machine/vm_types.h /usr/include/sys/select.h
star.o: /usr/include/string.h /usr/include/strings.h /usr/include/stdio.h
star.o: /usr/include/sys/seek.h /usr/include/va_list.h
star.o: /usr/include/sys/limits.h /usr/include/sys/machine/machlimits.h
star.o: /usr/include/sys/syslimits.h /usr/include/sys/machine/machtime.h
star.o: /usr/include/sys/rt_limits.h
photon.o: photon.hxx /usr/include/math.h /usr/include/standards.h
photon.o: /usr/include/stdlib.h /usr/include/getopt.h
photon.o: /usr/include/sys/types.h /usr/include/mach/machine/vm_types.h
photon.o: /usr/include/sys/select.h
convertcorsika.o: convertcorsika.h /usr/include/string.h
convertcorsika.o: /usr/include/standards.h /usr/include/sys/types.h
convertcorsika.o: /usr/include/mach/machine/vm_types.h
convertcorsika.o: /usr/include/sys/select.h /usr/include/strings.h photon.hxx
convertcorsika.o: /usr/include/math.h /usr/include/stdlib.h
convertcorsika.o: /usr/include/getopt.h
parameters.o: parameters.h /usr/include/stdio.h /usr/include/standards.h
parameters.o: /usr/include/sys/seek.h /usr/include/va_list.h
parameters.o: /usr/include/sys/types.h /usr/include/mach/machine/vm_types.h
parameters.o: /usr/include/sys/select.h /usr/include/getopt.h
parameters.o: /usr/include/sys/limits.h /usr/include/sys/machine/machlimits.h
parameters.o: /usr/include/sys/syslimits.h
parameters.o: /usr/include/sys/machine/machtime.h
parameters.o: /usr/include/sys/rt_limits.h
../include-CORSIKA/COREventHeader.o: ../include-CORSIKA/COREventHeader.hxx
../include-CORSIKA/COREventHeader.o: /usr/include/stdlib.h
../include-CORSIKA/COREventHeader.o: /usr/include/standards.h
../include-CORSIKA/COREventHeader.o: /usr/include/getopt.h
../include-CORSIKA/COREventHeader.o: /usr/include/sys/types.h
../include-CORSIKA/COREventHeader.o: /usr/include/mach/machine/vm_types.h
../include-CORSIKA/COREventHeader.o: /usr/include/sys/select.h
../include-CORSIKA/COREventHeader.o: /usr/include/math.h
../include-CORSIKA/CORParticle.o: ../include-CORSIKA/CORParticle.hxx
../include-CORSIKA/CORParticle.o: /usr/include/stdlib.h
../include-CORSIKA/CORParticle.o: /usr/include/standards.h
../include-CORSIKA/CORParticle.o: /usr/include/getopt.h
../include-CORSIKA/CORParticle.o: /usr/include/sys/types.h
../include-CORSIKA/CORParticle.o: /usr/include/mach/machine/vm_types.h
../include-CORSIKA/CORParticle.o: /usr/include/sys/select.h
../include-CORSIKA/CORParticle.o: /usr/include/math.h
../include-CORSIKA/CORStatfile.o: ../include-CORSIKA/CORStatfile.hxx
../include-CORSIKA/CORStatfile.o: /usr/include/stdlib.h
../include-CORSIKA/CORStatfile.o: /usr/include/standards.h
../include-CORSIKA/CORStatfile.o: /usr/include/getopt.h
../include-CORSIKA/CORStatfile.o: /usr/include/sys/types.h
../include-CORSIKA/CORStatfile.o: /usr/include/mach/machine/vm_types.h
../include-CORSIKA/CORStatfile.o: /usr/include/sys/select.h
../include-CORSIKA/CORStatfile.o: /usr/include/math.h
